com.sun.pdfview.font.ttf

## Class PostTable

- java.lang.Object
- - com.sun.pdfview.font.ttf.TrueTypeTable
  - - com.sun.pdfview.font.ttf.PostTable

    public class PostTable
    extends TrueTypeTable

Model the TrueType Post table

### Field Summary

### Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable

`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

### Constructor Summary

Constructors
`protected` `PostTable()` Creates a new instance of PostTable

### Method Summary

Methods
`java.nio.ByteBuffer` `getData()` get the data in this map as a ByteBuffer
`int` `getFormat()` Getter for property format.
`java.lang.String` `getGlyphName(char c)` Map a character code to a glyphIndex name
`short` `getGlyphNameIndex(java.lang.String name)` Map a character name to a glyphNameIndex
`short` `getIsFixedPitch()` Getter for property isFixedPitch.
`int` `getItalicAngle()` Getter for property italicAngle.
`int` `getLength()` Get the length of this table
`int` `getMaxMemType1()` Getter for property maxMemType1.
`int` `getMaxMemType42()` Getter for property maxMemType42.
`int` `getMinMemType1()` Getter for property minMemType1.
`int` `getMinMemType42()` Getter for property minMemType42.
`short` `getUnderlinePosition()` Getter for property underlinePosition.
`short` `getUnderlineThickness()` Getter for property underlineThickness.
`void` `setData(java.nio.ByteBuffer data)` Initialize this structure from a ByteBuffer
`void` `setFormat(int format)` Setter for property format.
`void` `setIsFixedPitch(short isFixedPitch)` Setter for property isFixedPitch.
`void` `setItalicAngle(int italicAngle)` Setter for property italicAngle.
`void` `setMaxMemType1(int maxMemType1)` Setter for property maxMemType1.
`void` `setMaxMemType42(int maxMemType42)` Setter for property maxMemType42.
`void` `setMinMemType1(int minMemType1)` Setter for property minMemType1.
`void` `setMinMemType42(int minMemType42)` Setter for property minMemType42.
`void` `setUnderlinePosition(short underlinePosition)` Setter for property underlinePosition.
`void` `setUnderlineThickness(short underlineThickness)` Setter for property underlineThickness.

### Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable

`createTable, createTable, getTag, stringToTag, tagToString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PostTable

    protected PostTable()

Creates a new instance of PostTable

### Method Detail

#### getGlyphNameIndex

    public short getGlyphNameIndex(java.lang.String name)

Map a character name to a glyphNameIndex

#### getGlyphName

    public java.lang.String getGlyphName(char c)

Map a character code to a glyphIndex name

#### getData

    public java.nio.ByteBuffer getData()

get the data in this map as a ByteBuffer

Overrides:
  `getData` in class `TrueTypeTable`

#### setData

    public void setData(java.nio.ByteBuffer data)

Initialize this structure from a ByteBuffer

Overrides:
  `setData` in class `TrueTypeTable`

#### getLength

    public int getLength()

Get the length of this table

Overrides:
  `getLength` in class `TrueTypeTable`

#### getFormat

    public int getFormat()

Getter for property format.

Returns:
  Value of property format.

#### setFormat

    public void setFormat(int format)

Setter for property format.

Parameters:
  `format` - New value of property format.

#### getItalicAngle

    public int getItalicAngle()

Getter for property italicAngle.

Returns:
  Value of property italicAngle.

#### setItalicAngle

    public void setItalicAngle(int italicAngle)

Setter for property italicAngle.

Parameters:
  `italicAngle` - New value of property italicAngle.

#### getUnderlinePosition

    public short getUnderlinePosition()

Getter for property underlinePosition.

Returns:
  Value of property underlinePosition.

#### setUnderlinePosition

    public void setUnderlinePosition(short underlinePosition)

Setter for property underlinePosition.

Parameters:
  `underlinePosition` - New value of property underlinePosition.

#### getUnderlineThickness

    public short getUnderlineThickness()

Getter for property underlineThickness.

Returns:
  Value of property underlineThickness.

#### setUnderlineThickness

    public void setUnderlineThickness(short underlineThickness)

Setter for property underlineThickness.

Parameters:
  `underlineThickness` - New value of property underlineThickness.

#### getIsFixedPitch

    public short getIsFixedPitch()

Getter for property isFixedPitch.

Returns:
  Value of property isFixedPitch.

#### setIsFixedPitch

    public void setIsFixedPitch(short isFixedPitch)

Setter for property isFixedPitch.

Parameters:
  `isFixedPitch` - New value of property isFixedPitch.

#### getMinMemType42

    public int getMinMemType42()

Getter for property minMemType42.

Returns:
  Value of property minMemType42.

#### setMinMemType42

    public void setMinMemType42(int minMemType42)

Setter for property minMemType42.

Parameters:
  `minMemType42` - New value of property minMemType42.

#### getMaxMemType42

    public int getMaxMemType42()

Getter for property maxMemType42.

Returns:
  Value of property maxMemType42.

#### setMaxMemType42

    public void setMaxMemType42(int maxMemType42)

Setter for property maxMemType42.

Parameters:
  `maxMemType42` - New value of property maxMemType42.

#### getMinMemType1

    public int getMinMemType1()

Getter for property minMemType1.

Returns:
  Value of property minMemType1.

#### setMinMemType1

    public void setMinMemType1(int minMemType1)

Setter for property minMemType1.

Parameters:
  `minMemType1` - New value of property minMemType1.

#### getMaxMemType1

    public int getMaxMemType1()

Getter for property maxMemType1.

Returns:
  Value of property maxMemType1.

#### setMaxMemType1

    public void setMaxMemType1(int maxMemType1)

Setter for property maxMemType1.

Parameters:
  `maxMemType1` - New value of property maxMemType1.